%define major 	1
%define libname %mklibname mb %major
%define develname %mklibname -d mb

Summary: 	Libraries for the Matchbox Desktop
Name: 		libmatchbox
Version: 	1.9
Release: 	%mkrel 3
URL: 		http://matchbox-project.org
License: 	LGPLv2+
Group: 		System/Libraries
Source0:	http://matchbox-project.org/sources/%{name}/%{version}/%{name}-%{version}.tar.xz
Patch1:		libmatchbox-1.9-linking.patch
Patch2:		libmatchbox-1.9-automake-1.13.patch
BuildRequires:	libx11-devel
BuildRequires:	libxext-devel
BuildRequires:	libxft-devel
BuildRequires:	pango-devel
BuildRequires:	png-devel
BuildRequires:	jpeg-devel
BuildRequires:	Xsettings-client-devel
BuildRequires:	check-devel

%description
Matchbox is a base environment for the X Window System running on non-desktop
embedded platforms such as handhelds, set-top boxes, kiosks and anything else
for which screen space, input mechanisms or system resources are limited.

%package -n	%{libname}
Group:		System/Libraries
Summary:	Inter-toolkit configuration settings

%description -n %{libname}
Libraries for the Matchbox Desktop.

%package -n %{develname}
Group:     Development/Libraries
Summary:   Static libraries and header files from %{name}
Provides:	matchbox-devel = %{version}-%{release}
Provides:   %{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	libmb-devel = %{version}-%{release}
Requires:   %{libname} = %{version}-%{release}
Obsoletes:	%mklibname -d mb 1

%description -n %{develname}
Static libraries and header files from %{name}

%prep
%setup -q
%patch1 -p1 -b .linkfix
%patch2 -p1 -b .automake

%build
autoreconf -vfi
%configure2_5x --enable-xsettings --enable-png --enable-jpeg --enable-pango --disable-static
%make

%install
%makeinstall_std

#we don't want these
find %{buildroot} -name "*.la" -delete

%files -n %{libname}
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%doc AUTHORS ChangeLog README
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.so
%{_includedir}/libmb/*.h


%changelog
* Sun Feb 05 2017 adrianomorselli <adrianomorselli> 1.9-3uplos2017
- rebuild

* Wed Oct 26 2016 bb <bb> 1.9-3pclos2016
- update

* Sat Apr 26 2014 bb <bb> 1.9-2pclos2014
- update

* Fri Feb 19 2010 Texstar <texstar at gmail.com> 1.9-1pclos2010
- import into pclos



